Notifly
API ReferenceTopics

Delete topic subscriptions

Delete subscriptions for subscriberIds for a topic.

DELETE
/v2/topics/{topicKey}/subscriptions

Delete subscriptions for subscriberIds for a topic.

Authorization

secretKey
Authorization<token>

API key authentication. Allowed headers-- "Authorization: ApiKey <secret_key>".

In: header

Path Parameters

topicKey*string

The key identifier of the topic

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/json

application/json

application/json

application/json

application/json

application/json

application/json

application/json

application/json

application/json

application/json

application/json

application/json

curl -X DELETE "https://example.com/v2/topics/string/subscriptions" \  -H "Content-Type: application/json" \  -d '{}'
{  "data": [    {      "_id": "64f5e95d3d7946d80d0cb679",      "identifier": "tk=product-updates:si=subscriber-123",      "topic": {        "_id": "64f5e95d3d7946d80d0cb677",        "key": "product-updates",        "name": "Product Updates"      },      "subscriber": {        "_id": "64da692e9a94fb2e6449ad07",        "subscriberId": "user-123",        "avatar": "https://example.com/avatar.png",        "firstName": "John",        "lastName": "Doe",        "email": "[email protected]"      },      "contextKeys": [        "tenant:org-a",        "project:proj-123"      ],      "createdAt": "2025-04-24T05:40:21Z",      "updatedAt": "2025-04-24T05:40:21Z"    }  ],  "meta": {    "totalCount": 3,    "successful": 2,    "failed": 1  },  "errors": [    {      "subscriberId": "invalid-subscriber-id",      "code": "SUBSCRIBER_NOT_FOUND",      "message": "Subscriber with ID invalid-subscriber-id could not be found"    }  ]}